commit:     6742befff3acbd41c2619c27d503e4d7c5af5211
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sat Jan  8 08:47:49 2022 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sat Jan  8 09:01:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6742beff

dev-java/commons-vfs: lift deps on jackrabbit-webdav to slot 2

also bumping to eapi 8

Package-Manager: Portage-3.0.28, Repoman-3.0.3
RepoMan-Options: --force
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/23696
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/commons-vfs/commons-vfs-2.0-r3.ebuild | 72 ++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/dev-java/commons-vfs/commons-vfs-2.0-r3.ebuild 
b/dev-java/commons-vfs/commons-vfs-2.0-r3.ebuild
new file mode 100644
index 000000000000..25ba2679791d
--- /dev/null
+++ b/dev-java/commons-vfs/commons-vfs-2.0-r3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="A single API for accessing various different file systems"
+HOMEPAGE="https://commons.apache.org/vfs/";
+SRC_URI="mirror://apache/commons/vfs/source/${P}-src.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+CDEPEND="
+       dev-java/ant-core:0
+       dev-java/commons-collections:0
+       dev-java/commons-logging:0
+       dev-java/commons-net:0
+       dev-java/commons-httpclient:3
+       dev-java/jackrabbit-webdav:2
+       dev-java/jsch:0"
+
+DEPEND="${CDEPEND}
+       >=virtual/jdk-1.8:*"
+
+RDEPEND="${CDEPEND}
+       >=virtual/jre-1.8:*"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-incompatibility.patch
+)
+
+S="${WORKDIR}/${P}/core"
+
+EANT_GENTOO_CLASSPATH="
+       ant-core
+       commons-collections
+       commons-logging
+       commons-net
+       commons-httpclient-3
+       jackrabbit-webdav
+       jsch
+"
+EANT_EXTRA_ARGS="-Dlibdir=${T}"
+
+# The build.xml is generated from maven and can't run the tests properly
+# Use maven test to execute these manually but that means downloading deps from
+# the internet. Also the tests need to login to some ftp servers and samba
+# shares so I doubt they work for everyone.
+#src_test() {
+#      ANT_TASKS="ant-junit" eant test
+#}
+
+src_prepare() {
+       default
+       cp "${FILESDIR}"/${P}-build.xml build.xml || die
+
+       java-ant_rewrite-classpath
+       java-ant_ignore-system-classes
+}
+
+src_install() {
+       java-pkg_newjar target/*.jar
+
+       # [javadoc] No javadoc created, no need to post-process anything
+#      use doc && java-pkg_dojavadoc target/site/apidocs
+       use source && java-pkg_dosrc src/main/java
+}

Reply via email to